Displaying #maven-dev/2016-12-24.log:

Sat Dec 24 11:47:56 2016  hboutemy:Joined the channel
Sat Dec 24 13:11:18 2016  olamy:Joined the channel
Sat Dec 24 14:12:40 2016  rfscholte:Joined the channel
Sat Dec 24 16:48:34 2016  hboutemy:rfscholte: with maven-plugin-plugin, the rationale on improving maven-plugin-plugin's pom.xml is now clear to me
Sat Dec 24 16:49:06 2016  hboutemy:but for maven-pmd-plugin, I'm ok with your analysis
Sat Dec 24 16:49:20 2016  hboutemy:how is transitivity now working as expected?
Sat Dec 24 16:49:52 2016  hboutemy:notice: for long now, I'm pretty sure there are edge cases where transitivity with scopes gives unwanted results
Sat Dec 24 16:50:33 2016  hboutemy:rfscholte: while at it, I have bad news: I messed my agenda, and won't be available for FOSDEM finally...
Sat Dec 24 16:51:30 2016  hboutemy:holidays for my daughter start sooner that I expected, and we're going to ski on FOSDEM's WE :/
Sat Dec 24 17:08:20 2016  hboutemy:notice the "breaks" links in https://issues.apache.org/jira/browse/MNG-6135: at least, the effective impact is now better tracked when it is discovered
Sat Dec 24 17:16:29 2016  rfscholte:reading
Sat Dec 24 17:17:00 2016  rfscholte:noooo, not at FOSDEM?!?! that's a pity
Sat Dec 24 17:20:15 2016  rfscholte:regarding scopes, Maven says there can be only one conflictId (GA), which has 1 version and one scope, etc.
Sat Dec 24 17:22:24 2016  rfscholte:what happens every now and than is that a dependency gets a test-scope, and that means that it is suddenly not available on the compile classpath, even if it is required as transitive dependency
Sat Dec 24 17:26:42 2016  hboutemy:sorry, not at FOSDEM: when I discovered my mistake, it was too late... :(
Sat Dec 24 17:27:01 2016  hboutemy:yes, this use case with test vs compile scope is serious
Sat Dec 24 17:37:04 2016  hboutemy:Joined the channel
Sat Dec 24 17:40:05 2016  theRealGent:Joined the channel
Sat Dec 24 17:48:41 2016  hboutemy:rfscholte: is it intentional?
Sat Dec 24 17:48:45 2016  hboutemy:[ERROR] check-index-page.log error log not empty:
Sat Dec 24 17:48:46 2016  hboutemy:maven-dependency-plugin: found 2.10 instead of 3.0.0 in http://maven.apache.org/plugins/
Sat Dec 24 18:27:04 2016  rfscholte:no
Sat Dec 24 18:27:12 2016  rfscholte:will fix it
Sat Dec 24 21:14:54 2016  olamy:Joined the channel
Sat Dec 24 23:53:22 2016  olamy:Joined the channel

Comments